#!../../bin/linux-x86/MyADCexample

## You may have to change MyADCexample to something else
## everywhere it appears in this file

< envPaths

cd ${TOP}

## Register all support components
dbLoadDatabase "dbd/MyADCexample.dbd"
MyADCexample_registerRecordDeviceDriver pdbbase

############ Define the carrier card // carrier config############
# For PCI/Linux IOC, use
ipacAddHyLinux9010("99,1")
#ipacAddHy8002Concurrent("4,2,IPMEM=2")
#####################################################################


############# IP Card Congiguration #################################
# Configure Hytec 8401 ADC asyn driver

#int Hy8401ipAsynInit(char *portName, int vmeSlotNum, int ipSlotNum, int vectorNum,
#					int samples, int average, int offset, int scanMode, int clockRate, 
#                    int extClock, int fastADC)
#1 portName 	=	name of the asyn port
#2 vmeslot  	=	IPAC3. The return value from ipacAddHy8002
#3 ipslot	=	0~3. IP slot A~D
#4 vector	=	10. Interrupt vector
#5 samples	=	1~65535. How many samples after the trigger
#6 average	=	1~5000. Average by
#7 offset	=	0~samples. Starting point offset
#8 scanmode	=	0-continuous mode, 1-trigger mode
#9 clockrate	=	0~15. 1Hz ~ 100kHz
#10 extclock	=	0-internal, 1-external
#11 fastADC	=	1-fast ADC (up to 100kHz), 0-slow ADC for mca & EPID (up to 10kHz under VxWorks)
#                   1     , 2  3  4     5   6  7  8  9  10 11
Hy8401ipAsynInit("ADC8401", 0, 0, 10, 1000, 1, 0, 0, 9, 0, 1)

#int Hy8401ipAsynConfig(const char *portName, int aiType, int range, int firstChan, int lastChan, int chanBuffSize )
# This is not mandatory
Hy8401ipAsynConfig("ADC8401", 0, 1, 0, 7, 100)
#####################################################################

## Load record instances

dbLoadRecords("db/8401.db","P=CARD1,PORT=ADC8401")
dbLoadRecords("db/8401_CS.db","P=CARD1,PORT=ADC8401")

## Set this to see messages from mySub
#var mySubDebug 1

## Run this to trace the stages of iocInit
#traceIocInit

cd ${TOP}/iocBoot/${IOC}
iocInit

## Start any sequence programs
#seq sncExample, "user=rootHost"
